<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>
    <form>
        <div>
            <label for="numero">Numero</label>
            <input type="number" id="numero">
        </div>
        <div>
            <label for="texto">Texto</label>
            <input type="text" id="texto">
        </div>
        <div id="salida">
            --
        </div>

        <div>
            <input type="text" readonly id="salida1">
        </div>
        <div>
            <button type="button" onclick="unir()">Concatenar</button>
        </div>
    </form>
    <script src="2.js"></script>

</body>

</html>